﻿
Imports System.Data
Imports System.IO
Imports Microsoft.Reporting.WebForms

Partial Class DefaultVB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            If Session("GridViewRow") IsNot Nothing Then
                Dim dt As DataTable = TryCast(Session("GridViewRow"), DataTable)
                If dt.Rows.Count > 0 Then
                    Dim dsCustomers As Customers = New Customers()
                    For Each dr As DataRow In dt.Rows
                        dsCustomers.Tables(0).Rows.Add(dr("Id").ToString(), dr("Name").ToString(), dr("Country").ToString())
                    Next

                    ReportViewer1.ProcessingMode = ProcessingMode.Local
                    ReportViewer1.LocalReport.ReportPath = Server.MapPath("~/Report.rdlc")

                    Dim reportparameter As ReportParameterCollection = New ReportParameterCollection()
                    reportparameter.Add(New ReportParameter("HiddenColumn", Session("HidenColumn").ToString()))
                    ReportViewer1.LocalReport.SetParameters(reportparameter)
                    ReportViewer1.LocalReport.Refresh()

                    Dim datasource As ReportDataSource = New ReportDataSource("Customers", dsCustomers.Tables(0))
                    ReportViewer1.LocalReport.DataSources.Clear()
                    ReportViewer1.LocalReport.DataSources.Add(datasource)
                End If
            End If
        End If
    End Sub
End Class
