﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Web.UI.WebControls;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            DataTable dt = new DataTable();
            dt.Columns.AddRange(new DataColumn[3] {
        new DataColumn("Id"), new DataColumn("Name"), new DataColumn("Country") });
            dt.Rows.Add(1, "John Hammond", "United States");
            dt.Rows.Add(2, "Mudassar Khan", "India");
            dt.Rows.Add(3, "Suzanne Mathews", "France");
            dt.Rows.Add(4, "Robert Schidner", "Russia");
            gvCustomers.DataSource = dt;
            gvCustomers.DataBind();
        }
    }

    protected void ShowRDLC(object sender, EventArgs e)
    {
        List<string> columns = new List<string>();
        if (chkName.Checked)
        {
            columns.Add(chkName.Text);
        }
        if (chkCountry.Checked)
        {
            columns.Add(chkCountry.Text);
        }
        Session["HidenColumn"] = string.Join(",", columns);

        DataTable dt = new DataTable();
        dt.Columns.AddRange(new DataColumn[3] {
    new DataColumn("Id"), new DataColumn("Name"), new DataColumn("Country") });
        foreach (GridViewRow row in gvCustomers.Rows)
        {
            if ((row.FindControl("chkSelect") as CheckBox).Checked)
            {
                string id = row.Cells[1].Text;
                string name = (row.FindControl("lblName") as Label).Text.Trim();
                string country = (row.FindControl("lblCountry") as Label).Text.Trim();
                dt.Rows.Add(id, name, country);
            }
        }

        Session["GridViewRow"] = dt;
        string url = "Default.aspx";
        string s = "window.open('" + url + "', 'popup_window', 'width=350,height=200,left=150,top=120,resizable=yes');";
        ClientScript.RegisterStartupScript(this.GetType(), "script", s, true);
    }

    protected void OnCheckedChanged(object sender, EventArgs e)
    {
        if ((sender as CheckBox).Text == "Name")
        {
            if ((sender as CheckBox).Checked)
            {
                gvCustomers.Columns[2].Visible = true;
            }
            else
            {
                gvCustomers.Columns[2].Visible = false;
            }
        }
        if ((sender as CheckBox).Text == "Country")
        {
            if ((sender as CheckBox).Checked)
            {
                gvCustomers.Columns[3].Visible = true;
            }
            else
            {
                gvCustomers.Columns[3].Visible = false;
            }
        }
    }
}