﻿
Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Dim dt As DataTable = New DataTable()
            dt.Columns.AddRange(New DataColumn(2) {New DataColumn("Id"), New DataColumn("Name"), New DataColumn("Country")})
            dt.Rows.Add(1, "John Hammond", "United States")
            dt.Rows.Add(2, "Mudassar Khan", "India")
            dt.Rows.Add(3, "Suzanne Mathews", "France")
            dt.Rows.Add(4, "Robert Schidner", "Russia")
            gvCustomers.DataSource = dt
            gvCustomers.DataBind()
        End If
    End Sub

    Protected Sub ShowRDLC(ByVal sender As Object, ByVal e As EventArgs)
        Dim columns As List(Of String) = New List(Of String)()
        If chkName.Checked Then
            columns.Add(chkName.Text)
        End If
        If chkCountry.Checked Then
            columns.Add(chkCountry.Text)
        End If
        Session("HidenColumn") = String.Join(",", columns)

        Dim dt As DataTable = New DataTable()
        dt.Columns.AddRange(New DataColumn(2) {New DataColumn("Id"), New DataColumn("Name"), New DataColumn("Country")})

        For Each row As GridViewRow In gvCustomers.Rows
            If (TryCast(row.FindControl("chkSelect"), CheckBox)).Checked Then
                Dim id As String = row.Cells(1).Text
                Dim name As String = (TryCast(row.FindControl("lblName"), Label)).Text.Trim()
                Dim country As String = (TryCast(row.FindControl("lblCountry"), Label)).Text.Trim()
                dt.Rows.Add(id, name, country)
            End If
        Next

        Session("GridViewRow") = dt
        Dim url As String = "Default.aspx"
        Dim s As String = "window.open('" & url & "', 'popup_window', 'width=350,height=200,left=150,top=120,resizable=yes');"
        ClientScript.RegisterStartupScript(Me.GetType(), "script", s, True)
    End Sub

    Protected Sub OnCheckedChanged(ByVal sender As Object, ByVal e As EventArgs)
        If (TryCast(sender, CheckBox)).Text = "Name" Then
            If (TryCast(sender, CheckBox)).Checked Then
                gvCustomers.Columns(2).Visible = True
            Else
                gvCustomers.Columns(2).Visible = False
            End If
        End If
        If (TryCast(sender, CheckBox)).Text = "Country" Then
            If (TryCast(sender, CheckBox)).Checked Then
                gvCustomers.Columns(3).Visible = True
            Else
                gvCustomers.Columns(3).Visible = False
            End If
        End If
    End Sub
End Class
